@echo off

:: You can get a zipped version of SVN for windows (no installer, so no need for admin rights)
:: from https://sourceforge.net/projects/win32svn/files/1.8.17/apache24/, download the plain .zip file
:: e.g. svn-win32-1.8.17-ap24.zip, unzip and put its bin folder on PATH
:: None of the other suggestions worked from https://stackoverflow.com/questions/185693/svn-client-on-windows-without-administrator-rights 

::set JAVA_HOME=C:\Program Files\Java\jdk1.8.0_20
set JAVA_HOME=%CD%\zulu-jdk8-64bit
::set JAVA_HOME=%CD%\zulu-jdk11-64bit

if not exist "%JAVA_HOME%" (
   echo %JAVA_HOME% not found. Exiting...
   goto done
)
set PATH=%JAVA_HOME%\bin;%PATH%
echo + Set JAVA_HOME to local instance and updated PATH


::set PERL_HOME=C:\strawberry-perl-64bit\perl
set _PERL_TOPLEVEL=%CD%\strawberry-perl5-64bit
set PERL_HOME=%_PERL_TOPLEVEL%\perl

if not exist "%PERL_HOME%" (
   echo %PERL_HOME% not found. Exiting...
   goto done
)
echo + Set PERL_HOME to local instance and updated PATH

set ANT_HOME=%CD%\apache-ant-1.9.5

if not exist "%ANT_HOME%" (
   echo %ANT_HOME% not found. Exiting...
   goto done
)
set PATH=%PERL_HOME%\site\bin;%PERL_HOME%\bin;%_PERL_TOPLEVEL%\c\bin;%ANT_HOME%\bin;%PATH%
echo + Set ANT_HOME to local instance and updated PATH

:: Unset local variable(s)
set _PERL_TOPLEVEL=

:done
